org.osgi.framework.dto

## Class ServiceReferenceDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.dto.ServiceReferenceDTO

    public class ServiceReferenceDTO
    extends DTO

Data Transfer Object for a ServiceReference.

`ServiceReferenceDTO`s for all registered services can be obtained from a `FrameworkDTO`. A `ServiceReference` can be adapted to a `ServiceReferenceDTO`. A started Bundle can be adapted to provide a `ServiceReferenceDTO[]` of the services registered by the Bundle. A `ServiceReferenceDTO` obtained from a framework must convert service property values which are not valid value types for DTOs to type `String` using `String.valueOf(Object)`.

Author:
  $Id: 8ac26a24b8adacdcd09f441dcdfc8d6a27bbaabd $

### Field Summary

Fields
`long` `bundle` The id of the bundle that registered the service.
`long` `id` The id of the service.
`Map<String,Object>` `properties` The properties for the service.
`long[]` `usingBundles` The ids of the bundles that are using the service.

### Constructor Summary

Constructors
Constructor and Description
`ServiceReferenceDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public long id

The id of the service.

See Also:
  `Constants.SERVICE_ID`

#### bundle

    public long bundle

The id of the bundle that registered the service.

See Also:
  `ServiceReference.getBundle()`

#### properties

    public Map<String,Object> properties

The properties for the service. The value type must be a numerical type, Boolean, String, DTO or an array of any of the former.

See Also:
  `ServiceReference.getProperty(String)`

#### usingBundles

    public long[] usingBundles

The ids of the bundles that are using the service.

See Also:
  `ServiceReference.getUsingBundles()`

### Constructor Detail

#### ServiceReferenceDTO

    public ServiceReferenceDTO()